function AudioStream_h(h)
{
	this.handle = h;

	this.Delete = function()
	{
		return fsAudioStream_Delete(this.handle);
	}

	this.Play = function()
	{
		return fsAudioStream_Play(this.handle);
	}

	this.Pause = function()
	{
		return fsAudioStream_Pause(this.handle);
	}

	this.PlayLoop = function()
	{
		return fsAudioStream_PlayLoop(this.handle);
	}

	this.SetPan = function(pan)
	{
		return fsAudioStream_SetPan(this.handle, pan);
	}

	this.SetVolume = function(volume)
	{
		return fsAudioStream_SetVolume(this.handle, volume);
	}

}
function AudioStream(streamFile)
{
	return new AudioStream_h(fsAudioStream_Create(streamFile));
}
